Page MenuHomePhabricator

Introduce setting to allow import of entities from XML dumps.
Closed, ResolvedPublic

Description

We generally disallow import of entities, since entities imported from other wikibase repositories would likely be using different IDs for items and properties. This may not only lead to dead links, but cause errors due to incompatible property definitions.

However, at least importing into a blank wiki (e.g. restoring from backup or setting up a test environment) should be allowed. An easy way to achieve this would be to introduce a setting that overrides the code in WikibaseHooks::onImportHandleRevisionXMLTag that prevents the import.

Event Timeline

daniel created this task.Dec 22 2014, 12:18 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel changed Security from none to None.
daniel added a subscriber: daniel.
Lydia_Pintscher triaged this task as Normal priority.Dec 27 2014, 12:03 PM
Lydia_Pintscher added subscribers: hoo, aude.
gerritbot added a subscriber: gerritbot.

Change 189716 had a related patch set uploaded (by Daniel Kinzler):
Switch to allow importing entities from XML.

https://gerrit.wikimedia.org/r/189716

Patch-For-Review

Change 189716 merged by jenkins-bot:
Switch to allow importing entities from XML.

https://gerrit.wikimedia.org/r/189716

daniel closed this task as Resolved.Feb 12 2015, 10:56 AM

merged